Subject: [hybi] Handshake success rates

From: Adam Barth <[email-masked]>
Date: Tue, 2 Nov 2010 18:27:41 -0700

Some folks asked how often various handshakes connect.  In
collaboration with some researchers at CMU, we've been running a bunch
of security experiments on the various proposed handshakes.  I can't
share all the details yet, but here are some preliminary figures:

A) Upgrade-based handshake
Handshake fail: 12/1431
Handshake pass: 1354/1431

B) CONNECT-based handshake
Handshake fail: 59/1431
Handshake pass: 1372/1431

I'm trying to get permission from various folks to explain more about
the methodology we're using to come up with these numbers.  I need to
ask your patience w.r.t. that issue.  Also, the astute reader will
notice that the Upgrade-based handshake numbers don't add up.  That's
because something very interesting happens to those requests, which,
again, I'm trying to get permission to share with the working group.

These numbers seem quite high to me.  Given the data we've seen
earlier, I would have expected pass rates of around 60% for the
Upgrade-based handshake.  However, the evidence is that the Upgrade-
and CONNECT-based handshakes complete at roughly the same rate.

I'll let you know when I can share more information from these experiments.

Adam

---

From: John Tamplin <[email-masked]>
Date: Tue, 2 Nov 2010 23:21:30 -0400

> Handshake pass: 1372/1431

I know you said you can't share the details yet, but if the following is
available it would be useful for comparison to my own brief experiment.

How many of these go through client-side proxies and how many through
transparent proxies versus configured proxies?  Were they all to port 80 on
the destination server?  In the case of a configured client-side proxy, I
assume you issue a CONNECT to it followed by the normal connection attempt
to the destination server, or do you just pass a GET through the proxy in
case A?

-- 
John A. Tamplin
Software Engineer (GWT), Google

---

From: Salvatore Loreto <[email-masked]>
Date: Sat, 06 Nov 2010 18:58:13 +0200

On 11/3/10 5:21 AM, John Tamplin wrote:
> On Tue, Nov 2, 2010 at 9:27 PM, Adam Barth <[email-masked] 
> <mailto:[email-masked]>> wrote:
>
> I know you said you can't share the details yet, but if the following 
> is available it would be useful for comparison to my own brief experiment.
Hi Adam,

I do appreciate your taking the time to work on the comparison between 
the two proposed handshakes,
but has also John has pointed out, without at least provide more details 
on how the experiments have been run
this information alone is not so useful.
For example would be also interesting in addition to what John has 
asked, also to know
what Upgrade-based handshake have you used in yours experiments
is it the one in the draft-ietf-hybi-thewebsocketprotocol-03
or do you have used the Greg's improved as per mail: 
http://www.ietf.org/mail-archive/web/hybi/current/msg04534.html

> transparent proxies versus configured proxies?  Were they all to port 
> 80 on the destination server?  In the case of a configured client-side 
> proxy, I assume you issue a CONNECT to it followed by the normal 
> connection attempt to the destination server, or do you just pass a 
> GET through the proxy in case A?
>
> -- 
> John A. Tamplin

cheers
/Sal

-- 
Salvatore Loreto
www.sloreto.com